net.sourceforge.pmd.lang.ast

## Class AbstractTokenManager

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractTokenManager

- Direct Known Subclasses:
    CppParserTokenManager, JavaParserTokenManager, JspParserTokenManager

      public abstract class AbstractTokenManager
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<Integer,String>` | `suppressMap`
    `protected String` | `suppressMarker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTokenManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getFileName()`
    `Map<Integer,String>` | `getSuppressMap()`
    `static void` | `setFileName(String fileName)`
    `void` | `setSuppressMarker(String marker)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### suppressMap

          protected Map<Integer,String> suppressMap

    - #### suppressMarker

          protected String suppressMarker

  - ### Constructor Detail

    - #### AbstractTokenManager

          public AbstractTokenManager()

  - ### Method Detail

    - #### setFileName

          public static void setFileName(String fileName)

    - #### getFileName

          public static String getFileName()

    - #### setSuppressMarker

          public void setSuppressMarker(String marker)

    - #### getSuppressMap

          public Map<Integer,String> getSuppressMap()

Copyright © 2002-2013 InfoEther. All Rights Reserved.